#!/usr/bin/env python3
n = int(input())
for i in range(1,n-1,2):
    print("? %i %i" % (i,i+1))
    if input()[0] != "e":
        print("? %i %i" % (i,n))
        print("! %i" % (i if input()[0] != "e" else i+1))
        break
else:
    print("! %i" % n)
